@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
  @font-face {
    font-family: 'M PLUS 1p';
    font-style: normal;
    font-weight: 100;
    src: url(assets/fonts/M_PLUS_1p/MPLUS1p-Light.ttf) format('truetype');
  }

  @font-face {
    font-family: 'M PLUS 1p';
    font-style: normal;
    font-weight: 300;
    src: url(assets/fonts/M_PLUS_1p/MPLUS1p-Regular.ttf) format('truetype');
  }

  @font-face {
    font-family: 'M PLUS 1p';
    font-style: normal;
    font-weight: 400;
    src: url(assets/fonts/M_PLUS_1p/MPLUS1p-Medium.ttf) format('truetype');
  }

  @font-face {
    font-family: 'M PLUS 1p';
    font-style: normal;
    font-weight: 700;
    src: url(assets/fonts/M_PLUS_1p/MPLUS1p-Bold.ttf) format('truetype');
  }

  @font-face {
    font-family: 'M PLUS 1p';
    font-style: normal;
    font-weight: 800;
    src: url(assets/fonts/M_PLUS_1p/MPLUS1p-ExtraBold.ttf) format('truetype');
  }

  @font-face {
    font-family: 'M PLUS 1p';
    font-style: normal;
    font-weight: 900;
    src: url(assets/fonts/M_PLUS_1p/MPLUS1p-Black.ttf) format('truetype');
  }

  html {
    font-family: 'M PLUS 1p', system-ui, sans-serif;
  }
}

.v-skeleton-loader * { margin: 0; }
.v-switch__track { opacity: 1 !important; }
.v-fab { z-index: 9; }

.vc-weekday-1,
.vc-weekday-7,
.weekday-1,
.weekday-7 { color: #dc2626; }

.vc-disabled { color: #bbb !important; }
.vc-popover-content { background-color: white !important; }
.vc-bars { gap: 3px; }

.required-asterisk::after {
  content: '*';
  color: #dc2626;
}